/*  Copyright 1995, Richard M. Troth, all rights reserved.  <plaintext> 
 * 
 *	  Name: uft.h 
 *		Unsolicited File Transfer general C code header 
 *	Author: Rick Troth, Houston, Texas, USA 
 *	  Date: 1995-Jan-15 
 */ 
 
#ifndef 	_UFT_HEADER_ 
 
/*  the version number and copyright  */ 
#define 	UFT_PROTOCOL	"UFT/1" 
#define 	UFT_VERSION	"POSIXUFT/1.5.4" 
#define 	UFT_COPYRIGHT	" Copyright 1995 Richard M. Troth" 
#define 	UFT_VRM 	"1.5.4" 
 
/*  server constants  */ 
/*  the SPOOLDIR has a sub-directory for each recipient  */ 
#ifndef 	UFT_SPOOLDIR 
#define 	UFT_SPOOLDIR	"/usr/spool/uft" 
#endif 
#ifndef 	UFT_GID 
#define 	UFT_GID 	0 
#endif 
#ifndef 	UFT_PIPESDIR 
#define 	UFT_PIPESDIR	"/usr/lib/uftpipes" 
#endif 
 
/*  the SEQuence file name may be platform dependent  */ 
#define 	UFT_SEQFILE		".seq" 
#define 	UFT_SEQFILE_ALT 	"seqno" 
 
/*  file name extensions  */ 
#define 	UFT_EXT_CONTROL 	".cf" 
#define 	UFT_EXT_DATA		".df" 
#define 	UFT_EXT_EXTRA		".ef" 
#define 	UFT_EXT_LIST		".lf" 
#define 	UFT_EXT_WORK		".wf" 
 
/*  client constants  */ 
/*  flag bits  */ 
#define 	UFT_BINARY	0x8000 
#define 	UFT_VERBOSE	0x4000 
 
/*  registered port for this service  */ 
#define 	UFT_PORT	608 
#define 	IDENT_PORT	113 
 
#ifndef 	BUFSIZ 
#define 	BUFSIZ		64512 
#endif 
 
#ifndef 	NULL 
#define 	NULL		0x0000 
#endif 
 
struct		UFTFILE 
			{ 
		/*  to-and-from spool space  */ 
		int	cfd;	/*  control file  */ 
		int	dfd;	/*  data file  */ 
		int	efd;	/*  ext attr file  */ 
		int	lfd;	/*  log file  */ 
		/*  client-server interaction  */ 
		int	sfd;	/*  server stream  */ 
		int	rfd;	/*  response stream  */ 
		/*  (daemon uses both sets of fds)  */ 
		char	*cfn;	/*  control file  */ 
		char	*dfn;	/*  data file  */ 
		char	*efn;	/*  ext attr file  */ 
		char	*lfn;	/*  log file  */ 
 
		char	from[64], 
			name[64], 
			type[8], 
			cc[8], 
			hold[8], 
			class[8], 
			devtype[8], keep[4], msg[4], 
			form[16], dist[16], dest[16]; 
		int	size, copies; 
		char	title[64]; 
			} ; 
 
struct  UFTFILE  uftfile0 ; 
 
#define 	UFT_B64_CODE	"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/" 
 
static char *uft_copyright = UFT_COPYRIGHT; 
 
#define 	_UFT_HEADER_ 
#endif 
 

