/* 
 *	  Name: uftdlist.c 
 *		list a network file after arrival 
 *	Author: Rick Troth, Decatur, Alabama, USA 
 *	  Date: 1995-Nov-22 
 */ 
 
#include	<fcntl.h> 
#include	<sys/stat.h> 
#include	"uft.h" 
 
/*  ----------------------------------------------------------- UFTDLIST 
 */ 
int uftdlist (seqn) 
  int seqn; 
  { 
    char	string[128]; 
    int 	fd; 
    char	*user, *host, *mon; 
    int 	day, hh, mm; 
 
    user = host = mon = "-"; 
    day = hh = mm = 0; 
 
    /*  open a listing file for this UFT object  */ 
    (void) sprintf(string,"%04d.lf",seqn); 
    fd = open(string,O_RDWR|O_CREAT,S_IREAD); 
    if (fd < 0) return fd; 
 
    /*  build an 'ls'-style list entry for this UFT file  */ 
    (void) sprintf(string, 
"%c%c%c%c%c%c%c%c%c%c %3d %8s %8s %8d %3s %02d %02d:%02d %04d %s", 
		uftfile0.type[0], uftfile0.cc[0], 
		uftfile0.hold[0], uftfile0.class[0], 
		uftfile0.devtype[0], uftfile0.keep[0], uftfile0.msg[0], 
		'-',	'-',	'-', 
		uftfile0.copies, user, host, uftfile0.size, 
		mon, day, hh, mm, seqn, uftfile0.name); 
 
    /*  write the record  */ 
    (void) putline(fd,string); 
 
    (void) close(fd); 
 
    return 0; 
  } 
 
/* 
 
TYPE 
 
r CC 
w HOLD		none, user (H), system (S), both (D) 
x CLASS 
 
r DEVTYPE 
w KEEP 
x MSG 
 
r ... 
w ... 
x ... 
 
 */ 
 
/* 
FORM 
DIST 
DEST 
 */ 
 
/* 
-uuugggooo lnk owner... group... ....size mon dd time  name 
trwxrwxrwx
-rw-r--r--   1 troth    root          282 Oct 13 22:31 uftdlist.c
-rw-r--r--   1 troth    root          281 Nov 22  1995 uftdlist.c;1
tqhcdkm--- cpy user     host         size mon dd time  sqid name 
---------- --- -------- -------- -------- --- -- --:-- ---- -------- 
 */ 
 

